import 'package:flutter/material.dart';
import 'package:rkm_educa_app/componentes/appbar_custom.dart';
import 'package:rkm_educa_app/componentes/drawer_custom.dart';
import 'package:rkm_educa_app/modelos/estudante_modelo.dart';
import 'package:rkm_educa_app/telas/tela_detalhes_avisos.dart';
import 'package:rkm_educa_app/utils/dimensoes.dart';
import '../componentes/item_avisos.dart';
import '../controllers/main_controllers.dart';

class TelaAvisos extends StatefulWidget {
  EstudanteModelo estudanteModelo;
  TelaAvisos({
    required this.estudanteModelo
});

  @override
  State<TelaAvisos> createState() => _TelaAvisosState();
}

class _TelaAvisosState extends State<TelaAvisos> {

  @override
  void initState() {
    super.initState();
    MainControllers().salvarLog(widget.estudanteModelo, 'AVISOS');
  }

  @override
  Widget build(BuildContext context) {

    return Scaffold(
      appBar: AppBarCustom().appbar(context, 'AVISOS'),
      drawer: DrawerCustom(estudanteModelo: widget.estudanteModelo,),
      body: Container(
        padding: EdgeInsets.symmetric(vertical: 20,horizontal: 10),
        width: Dimensoes.width,
        height: Dimensoes.height,
        child: ListView(
          children: [
            ItemAvisos(data: '28/04/2023',aviso: 'Não haverá aula',naovisto: true,onTap: ()=>Navigator.push(context, MaterialPageRoute(builder: (context)=>TelaDetalhesAvisos(estudanteModelo: widget.estudanteModelo,)))),
            ItemAvisos(data: '05/05/2023',aviso: 'Reunião de pais',naovisto: true,onTap: ()=>Navigator.push(context, MaterialPageRoute(builder: (context)=>TelaDetalhesAvisos(estudanteModelo: widget.estudanteModelo)))),
            ItemAvisos(data: '08/06/2023',aviso: 'Não haverá aula',naovisto: false,onTap: ()=>Navigator.push(context, MaterialPageRoute(builder: (context)=>TelaDetalhesAvisos(estudanteModelo: widget.estudanteModelo)))),
            ItemAvisos(data: '07/09/2023',aviso: 'Não haverá aula',naovisto: false,onTap: ()=>Navigator.push(context, MaterialPageRoute(builder: (context)=>TelaDetalhesAvisos(estudanteModelo: widget.estudanteModelo)))),
          ],
        ),
      ),
    );
  }
}
